/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDocument_H___INT_
#define __GdomDocument_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEventTargetNode.h"
#include "GDOMObject.h"
#include "Document.h"
G_BEGIN_DECLS
class GDOMDocument : public GDOMEventTargetNode {
    typedef GDOMEventTargetNode Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOCUMENT; }
    GDOMDocument(PassRefPtr<WebCore::Document> impl);
    virtual ~GDOMDocument();
    WebCore::Document* impl() const
    {
        return static_cast<WebCore::Document*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomDocument_H___INT_*/
